// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/InteractionInterface.h"
#include "EndlessVendetta/BountySystem/CheckpointClass.h"
#include "InteractableCP_CompleteCP.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AInteractableCP_CompleteCP : public ACheckpointClass, public IInteractionInterface
{
	GENERATED_BODY()

	void Interact() override;
	
};
